Bug 51740 - openldap-2.0.11-8 breaks dependencies in multiple packages
openldap-2.0.11-8 breaks dependencies in multiple packages
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: openldap (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-08-14 12:25 EDT by Need Real Name
Modified: 2007-04-18 12:35 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-15 02:34:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-08-14 12:25:57 EDT
Description of Problem:
The shared libraries libldap.so and liblber.so go from so.1 to so.2 in the
latest openldap update. This breaks dependencies in several packages
including sendmail-8.11.0-8 and pine-4.33-7. Also openldap-2.0.11-8
requires libcrypto.so.1 and libssl.so.1, not supplied in the latest openssl
update.

Version-Release number of selected component (if applicable):


How Reproducible:
100%

Steps to Reproduce:
1. Install latest sendmail and pine from Red Hat.
2. Try to install openldap-2.0.11-8.
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Pekka Savola 2001-08-15 02:34:34 EDT
I got hit by this too.. RHL71 was fine, and openldap 1.2 on RHL62 too.  Other
deps were also broken:

        libldap.so.1 is needed by am-utils-6.0.4s5-8
        libldap.so.1 is needed by autofs-3.1.5-5
        libldap.so.1 is needed by sendmail-8.11.0-8
        libldap.so.1 is needed by nss_ldap-122-1.7
        libldap.so.1 is needed by auth_ldap-1.4.5-1
        libldap.so.1 is needed by xemacs-21.1.14-2.7
        libldap.so.1   is needed by pine-4.33-7
Comment 2 Pekka Savola 2001-08-15 02:51:58 EDT
Fixed by also installing openldap12, released at the same time.

If this doesn't work for you please re-open.
Comment 3 Need Real Name 2001-08-16 15:09:36 EDT
Release notes should mention that this upgrade requires several steps and is
closely linked with the openssl upgrade, not shown as a recommended update
though released on July 18. Openssl must be upgraded in order to upgrade
openldap, and the openssl upgrade will break many dependencies as well unless
openssl095a is also installed. I suggest the following sequence:

rpm -ivh --force openssl095a-0.9.5a-9.i386.rpm
rpm -Uvh openssl-*0.9.6-9.i386.rpm
rpm -Uvh openldap12-1.2.12-3.i386.rpm openldap-*2.0.11-8.i386.rpm
Comment 4 Pekka Savola 2001-08-16 15:12:13 EDT
rpm -Uvh openssl095a-0.9.5a-9.i386.rpm openssl-*0.9.6-9.i386.rpm openldap12-1.2.12-3.i386.rpm openldap-*2.0.11-8.i386.rpm
no pain :-)
Comment 5 Need Real Name 2001-08-16 15:22:38 EDT
Still think comment to that effect should be in errata notes. Both the
dependency on the new openssl and that the compatibility packages for openldap
and openssl need to be installed also.

Note You need to log in before you can comment on or make changes to this bug.